Confirm your contact email
import requests
url = "https://platform.ankra.app/org/account/contact-email/verify"
payload = { "code": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>'})
};
fetch('https://platform.ankra.app/org/account/contact-email/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/org/account/contact-email/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>"
}
'{
"contact_email": "<string>",
"contact_email_verified_at": "2023-11-07T05:31:56Z",
"pending_contact_email": "<string>",
"pending_expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Account
Confirm your contact email
Checks the code mailed to the pending address and, when it matches, stores that address as your confirmed contact email. Attempts per code are limited.
POST
/
org
/
account
/
contact-email
/
verify
Confirm your contact email
import requests
url = "https://platform.ankra.app/org/account/contact-email/verify"
payload = { "code": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>'})
};
fetch('https://platform.ankra.app/org/account/contact-email/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/org/account/contact-email/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>"
}
'{
"contact_email": "<string>",
"contact_email_verified_at": "2023-11-07T05:31:56Z",
"pending_contact_email": "<string>",
"pending_expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json